package com.hzs.bonus.bonus.service;

import com.hzs.common.domain.member.bonus.CuMemberRetail;
import com.hzs.common.domain.sale.ext.SaOrderExt;

import java.util.List;

/**
 * 奖金结算服务类
 */
public interface IBonusSettleService {

    /**
     * 计算会员奖金
     *
     * @param date           结算日期
     * @param saOrderExtList 订单
     */
    void calculateCuMemberBonus(String date, List<SaOrderExt> saOrderExtList);

    /**
     * 根据订单计算新零售奖金
     */
    void calculateCuMemberRetailRangeBonusBySaOrder(String orderCode);

    /*
     *  4-n配置修改后，重算首购奖金
     **/
    void repeatCuMemberBonusByExpand(String settleDate, List<SaOrderExt> saOrderExtList);

    /*
     *  根据会员查询会员的 大小区盒数、业绩
     **/
    CuMemberRetail queryValidateBoxOrAchieve(Long pkMember);

}
